## treemacs 2.8

=== Makefile ===
.POSIX:

MAKEFLAGS += k
CASK = cask
EMACS ?= emacs

NO_LOAD_WARNINGS = --eval "(defvar treemacs-no-load-time-warnings t)"
SRC_DIR          = src/elisp
EXTRA_DIR        = src/extra
EMACSFLAGS       = -Q -batch -L $(SRC_DIR) -L $(EXTRA_DIR) $(NO_LOAD_WARNINGS)
COMPILE_COMMAND  = -f batch-byte-compile $(SRC_DIR)/*.el $(EXTRA_DIR)/*.el
LINT_DIR         = /tmp/treemacs
LINT_FLAG        = --eval "(setq byte-compile-dest-file-function (lambda (f) (concat \"$(LINT_DIR)\" (file-name-nondirectory f) \"c\")))"
TEST_COMMAND     = buttercup -L . $(NO_LOAD_WARNINGS)

.PHONY: test compile clean lint prepare clean-start .prepare-lint

.ONESHELL:

compile: prepare
	@$(CASK) exec $(EMACS) $(EMACSFLAGS) $(COMPILE_COMMAND)

.cask: Cask
	@echo Updating external dependencies...
	@$(CASK) install
	@$(CASK) update
	@touch .cask

prepare: .cask

test: prepare
	@$(CASK) exec $(TEST_COMMAND)

clean:
	@rm -f $(SRC_DIR)/*.elc
	@rm -f $(EXTRA_DIR)/*.elc

lint: EMACSFLAGS += $(LINT_FLAG)
lint: .prepare-lint compile
	@rm -rf $(LINT_DIR)

clean-start: prepare
	@$(CASK) exec $(EMACS) -Q -L $(SRC_DIR) --eval "(require 'treemacs)" &

.prepare-lint:
	@rm -rf $(LINT_DIR)
	@mkdir -p $(LINT_DIR)

=== debian/changelog ===
treemacs (2.8-2) unstable; urgency=medium

  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Mon, 23 Aug 2021 20:23:26 +0000

treemacs (2.8-1) unstable; urgency=medium

  * Initial package (Closes: #990909)

 -- Martin <debacle@debian.org>  Sun, 08 Aug 2021 07:13:46 +0000

=== debian/control ===
Source: treemacs
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Alexander-Miller/treemacs
Vcs-Git: https://salsa.debian.org/emacsen-team/treemacs.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/treemacs

Package: elpa-treemacs
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
	python3,
Suggests: elpa-treemacs-evil,
	elpa-treemacs-magit,
	elpa-treemacs-projectile,
Enhances: emacs
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.

Package: elpa-treemacs-evil
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-evil,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for evil.

Package: elpa-treemacs-magit
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-magit,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for magit.

Package: elpa-treemacs-projectile
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-projectile,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for projectile.

## treemacs 3.1

=== Makefile ===
.POSIX:

MAKEFLAGS += k
CASK = cask
EMACS ?= emacs

NO_LOAD_WARNINGS = --eval "(defvar treemacs-no-load-time-warnings t)"
SRC_DIR          = src/elisp
EXTRA_DIR        = src/extra
EMACSFLAGS       = -Q -batch -L $(SRC_DIR) $(NO_LOAD_WARNINGS)
COMPILE_COMMAND  = --eval "(setq byte-compile-error-on-warn t)" -f batch-byte-compile
CHECKDOC_COMMAND = -l "test/checkdock.el"
LINT_DIR         = /tmp/treemacs
LINT_FLAG        = --eval "(setq byte-compile-dest-file-function (lambda (f) (concat \"$(LINT_DIR)\" (file-name-nondirectory f) \"c\")))"
TEST_COMMAND     = buttercup -L $(SRC_DIR) -L $(EXTRA_DIR) -L . $(NO_LOAD_WARNINGS)

ELS  = $(SRC_DIR)/treemacs.el
ELS += $(SRC_DIR)/treemacs-async.el
ELS += $(SRC_DIR)/treemacs-bookmarks.el
ELS += $(SRC_DIR)/treemacs-compatibility.el
ELS += $(SRC_DIR)/treemacs-core-utils.el
ELS += $(SRC_DIR)/treemacs-customization.el
ELS += $(SRC_DIR)/treemacs-diagnostics.el
ELS += $(SRC_DIR)/treemacs-dom.el
ELS += $(SRC_DIR)/treemacs-extensions.el
ELS += $(SRC_DIR)/treemacs-faces.el
ELS += $(SRC_DIR)/treemacs-filewatch-mode.el
ELS += $(SRC_DIR)/treemacs-follow-mode.el
ELS += $(SRC_DIR)/treemacs-fringe-indicator.el
ELS += $(SRC_DIR)/treemacs-header-line.el
ELS += $(SRC_DIR)/treemacs-hydras.el
ELS += $(SRC_DIR)/treemacs-icons.el
ELS += $(SRC_DIR)/treemacs-interface.el
ELS += $(SRC_DIR)/treemacs-logging.el
ELS += $(SRC_DIR)/treemacs-macros.el
ELS += $(SRC_DIR)/treemacs-mode.el
ELS += $(SRC_DIR)/treemacs-mouse-interface.el
ELS += $(SRC_DIR)/treemacs-persistence.el
ELS += $(SRC_DIR)/treemacs-rendering.el
ELS += $(SRC_DIR)/treemacs-scope.el
ELS += $(SRC_DIR)/treemacs-tag-follow-mode.el
ELS += $(SRC_DIR)/treemacs-tags.el
ELS += $(SRC_DIR)/treemacs-themes.el
ELS += $(SRC_DIR)/treemacs-visuals.el
ELS += $(SRC_DIR)/treemacs-workspaces.el
ELS += $(EXTRA_DIR)/treemacs-all-the-icons.el
ELS += $(EXTRA_DIR)/treemacs-evil.el
ELS += $(EXTRA_DIR)/treemacs-icons-dired.el
ELS += $(EXTRA_DIR)/treemacs-magit.el
ELS += $(EXTRA_DIR)/treemacs-persp.el
ELS += $(EXTRA_DIR)/treemacs-perspective.el
ELS += $(EXTRA_DIR)/treemacs-projectile.el
ELS += $(EXTRA_DIR)/treemacs-tab-bar.el
ELCS = $(ELS:.el=.elc)

.PHONY: test compile checkdoc clean lint prepare clean-start .prepare-lint

.ONESHELL:

%.elc: %.el
	@printf "Compiling $<\n"
	$(CASK) exec $(EMACS) $(EMACSFLAGS) $(COMPILE_COMMAND) $<

compile: prepare $(ELCS)

.cask: Cask
	@echo Updating external dependencies...
	@$(CASK) install
	@$(CASK) update
	@touch .cask

prepare: .cask

test: prepare
	@$(CASK) exec $(TEST_COMMAND)

clean:
	@rm -f $(SRC_DIR)/*.elc
	@rm -f $(EXTRA_DIR)/*.elc

lint: EMACSFLAGS += $(LINT_FLAG)
lint: .prepare-lint compile checkdoc
	@rm -rf $(LINT_DIR)

checkdoc:
	@$(CASK) exec $(EMACS) $(EMACSFLAGS) $(CHECKDOC_COMMAND)

clean-start: prepare
	@$(CASK) exec $(EMACS) -Q -L $(SRC_DIR) --eval "(require 'treemacs)" &

.prepare-lint:
	@rm -rf $(LINT_DIR)
	@mkdir -p $(LINT_DIR)

=== debian/changelog ===
treemacs (3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:25:23 +0900

treemacs (3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update patches with new version and mark forwarded as not-needed
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Update standards version to 4.7.0; no changes needed
  * Update description of extensions to clarify which supports are added
  * Update debian copyright year in d/copyright
  * Add lintian-overrides for elpa-treemacs
  * Add d/salsa-ci.yml with default settings
  * Disable pristine-tar by default in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 May 2024 02:01:29 -0700

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/Alexander-Miller/treemacs/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## treemacs 3.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 TEST_COMMAND     = buttercup -L $(SRC_DIR) -L $(EXTRA_DIR) -L . $(NO_LOAD_WARNINGS)
 
 ELS  = $(SRC_DIR)/treemacs.el
+ELS += $(SRC_DIR)/treemacs-annotations.el
 ELS += $(SRC_DIR)/treemacs-async.el
 ELS += $(SRC_DIR)/treemacs-bookmarks.el
 ELS += $(SRC_DIR)/treemacs-compatibility.el
@@ -24,9 +25,11 @@
 ELS += $(SRC_DIR)/treemacs-dom.el
 ELS += $(SRC_DIR)/treemacs-extensions.el
 ELS += $(SRC_DIR)/treemacs-faces.el
+ELS += $(SRC_DIR)/treemacs-file-management.el
 ELS += $(SRC_DIR)/treemacs-filewatch-mode.el
 ELS += $(SRC_DIR)/treemacs-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-fringe-indicator.el
+ELS += $(SRC_DIR)/treemacs-git-commit-diff-mode.el
 ELS += $(SRC_DIR)/treemacs-header-line.el
 ELS += $(SRC_DIR)/treemacs-hydras.el
 ELS += $(SRC_DIR)/treemacs-icons.el
@@ -36,12 +39,14 @@
 ELS += $(SRC_DIR)/treemacs-mode.el
 ELS += $(SRC_DIR)/treemacs-mouse-interface.el
 ELS += $(SRC_DIR)/treemacs-persistence.el
+ELS += $(SRC_DIR)/treemacs-project-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-rendering.el
 ELS += $(SRC_DIR)/treemacs-scope.el
 ELS += $(SRC_DIR)/treemacs-tag-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-tags.el
 ELS += $(SRC_DIR)/treemacs-themes.el
 ELS += $(SRC_DIR)/treemacs-visuals.el
+ELS += $(SRC_DIR)/treemacs-treelib.el
 ELS += $(SRC_DIR)/treemacs-workspaces.el
 ELS += $(EXTRA_DIR)/treemacs-all-the-icons.el
 ELS += $(EXTRA_DIR)/treemacs-evil.el

=== debian/changelog ===
treemacs (3.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Fri, 04 Apr 2025 20:09:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Alexander-Miller/treemacs
 Vcs-Git: https://salsa.debian.org/emacsen-team/treemacs.git
@@ -34,7 +34,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-evil,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - evil support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick
@@ -49,7 +49,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-magit,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - magit support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick
@@ -64,7 +64,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-projectile,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - projectile support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_elpa_test:
